FAX2TIFF(1)

NAME
fax2tiff - create a TIFF Class F fax file from raw fax data

SYNOPSIS
fax2tiff [ options ] [ -o output.tif ] input.g3

DESCRIPTION
Fax2tiff creates a TIFF file containing CCITT Group 3 or Group 4 encoded data from one or more files containing ``raw'' Group 3 encoded data (typically obtained directly from a fax modem). By default, each row of data in the resultant TIFF file is 2-dimensionally encoded and padded or truncated to 1728 pixels, as needed. The resultant image is a set of low resolution (98 lines/inch) or medium resolution (196 lines/inch) pages, each of which is a single strip of data. The generated file conforms to the TIFF Class F (FAX ) specification for storing facsimile data. This means, in particular, that each page of the data does not include the trailing return to control (RTC ) code; as required for transmission by the CCITT Group 3 specifications. The old, ``classic'', format is created if the -c option is used. (The Class F format can also be requested with the -f option.)

The default name of the output image is fax.tif; this can be changed with the -o option. Each input file is assumed to be a separate page of facsimile data from the same document. The order in which input files are specified on the command line is the order in which the resultant pages appear in the output file.

OPTIONS
Options that affect the interpretation of input data are:

-2  Assume input data is 2-d Huffman encoded.

-B  Assume input data was encoded with black as 0 and white as 1.

-L  Treat input data as having bits filled from least significant bit (LSB ) to most significant bit (MSB ). (This is the default.)

-M  Treat input data as having bits filled from most significant bit (MSB ) to most least bit (LSB ).

-R  Specify the vertical resolution, in lines/inch, of the input images. By default input are assumed to have a vertical resolution of 196 lines/inch. If images are low resolution facsimile, a value of 98 lines/inch should be specified.

-W  Assume input data was encoded with black as 1 and white as 0. (This is the default.)

Options that affect the output file format are:

-1  Force output to be compressed with the 1-dimensional version of the CCITT Group 3 Huffman encoding algorithm.

-4  Force output to be compressed with the CCITT Group 4 Huffman encoding.

-o  Specify the name of the output file.

-p  Force the last bit of each End Of Line (EOL ) code to land on a byte boundary. This ``zero padding'' will be reflected in the contents of the Group3Options tag of the resultant TIFF file.

-s  Stretch the input image vertically by writing each input row of data twice to the output file.

-v  Force fax2tiff to print the number of rows of data it retrieved from the input file.

DIAGNOSTICS
The following warnings and errors come from the decoding routines in the library.

Warning, %s: Premature EOL at scanline %d (x %d).\n. The input data had a row that was shorter than the expected value of 1728. The row is padded with white.

%s: Premature EOF at scanline %d (x %d).\n. The decoder ran out of data in the middle of a scanline. The resultant row is padded with white.

%s: Bad code word at row %d, x %d\n. An invalid Group 3 code was encountered while decoding the input file. The row number and horizontal position is given. The remainder of the input row is discarded, while the corresponding output row is padded with white.

%s: Bad 2D code word at scanline %d.\n. An invalid Group 4 or 2D Group 3 code was encountered while decoding the input file. The row number and horizontal position is given. The remainder of the input row is discarded, while the corresponding output row is padded with white.

BUGS
Should not have the constant width 1728 built into it. Input data are assumed to have a a ``top left'' orientation; it should be possible to override this assumption from the command line.

SEE ALSO
CCITT Recommendation T.4 (Standardization of Group 3 Facsimile Apparatus for Document Transmission).

The Spirit of TIFF Class F, an appendix to the TIFF 5.0 specification prepared by Cygnet Technologies.

tiffinfo(1), tiffdither(1), tiffgt(1), libtiff(3).